Get compliance status for a user
curl --request GET \
--url https://api.request.network/v2/payer/{clientUserId} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.request.network/v2/payer/{clientUserId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.request.network/v2/payer/{clientUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kycStatus": "completed",
"agreementStatus": "completed",
"isCompliant": true,
"userId": "a25a4274-8f50-4579-b476-8f35b297d4ad"
}{
"statusCode": 404,
"message": "Payer with client user ID user-123 not found",
"error": "Not Found"
}Payer
Get compliance status for a user
Retrieves the comprehensive compliance status for a specific user, including KYC and agreement status.
GET
/
v2
/
payer
/
{clientUserId}
Get compliance status for a user
Headers
API key for authentication
Path Parameters
The client user ID to check compliance status for
Example:
"user-123"
Was this page helpful?
⌘I